%define name PosteRazor
%define version 1.5
%define release %mkrel 6

Name:           %{name} 
Summary:        PosteRazor cuts a raster image into pieces
Version:        %{version} 
Release:        %{release} 
Source0:        %{name}-%{version}-Source.tar.bz2
Patch0:		FlPosteRazorHelpDialog.patch
Patch1:		FlPosteRazorSpinner.patch
Patch2:		PosteRazor-1.5-mdv-fix-str-fmt.patch

URL:            http://posterazor.sourceforge.net 
Group:          Graphics 
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	cmake
BuildRequires:	freeimage-devel
BuildRequires:	xpm-devel
BuildRequires:	fltk-devel
BuildRequires:	xft2-devel
License:        GPLv3+

%description
PosteRazor takes a raster image. The resulting poster is saved as a 
multipage PDF document. An easy to use, wizard like user interface 
guides through 5 steps. PosteRazor is available as a Windows, an OSX
and a Linux version. It is an open source, GNU licensed project which
is hosted on SourceForge.net.

%prep
%setup -q -n %{name}-%{version}
rm -rf packaging
%patch0
%patch1
%patch2 -p1 -b .strfmt

%build
cd src
%cmake
%make

%install
rm -fr %buildroot
cd src/build
install -D -m755 PosteRazor $RPM_BUILD_ROOT/%{_bindir}/PosteRazor

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc CHANGES LICENSE README
%{_bindir}/*


%changelog
* Mon Jan 18 2010 Jérôme Brenier <incubusss@mandriva.org> 1.5-6mdv2010.1
+ Revision: 493337
- rebuild for new fltk
- fix str fmt

  + Thierry Vignaud <tvignaud@mandriva.com>
    - rebuild

* Sun Dec 14 2008 Funda Wang <fwang@mandriva.org> 1.5-4mdv2009.1
+ Revision: 314177
- add BR
- use cmake macro

* Mon Oct 20 2008 Stéphane Téletchéa <steletch@mandriva.org> 1.5-3mdv2009.1
+ Revision: 295544
- Missing BuilRequires
- import PosteRazor


* Wed Sep 10 2008 Stphane Tletcha <steletch@mandriva.com> 1.5-2mdv2008.1
- updated spec file to conform to Mandriva policy

* Sat Jun 07 2008 Katnatek <katnatek@blogdrake.net> 1.5-1mdv2008.1
- Created for learn about rpm making
- I use custom spec because the way the binary are created

